Bug 1310534 - [RFE] Add ability to pass additional parameters to mongodb
[RFE] Add ability to pass additional parameters to mongodb
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Wang Haoran
:
Depends On:
Blocks: 1337328 1347090
  Show dependency treegraph
 
Reported: 2016-02-22 02:32 EST by Alexander Koksharov
Modified: 2016-09-28 07:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1337328 1347090 (view as bug list)
Environment:
Last Closed: 2016-09-28 07:38:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Koksharov 2016-02-22 02:32:44 EST
Description of problem:
Standard mongodb image from redhat repository does not allow to pass additional parameters to mongodb database.
I need to enable text search on MongoDB: https://docs.mongodb.org/v2.4/tutorial/enable-text-search/ but there is no way to achieve this

Version-Release number of selected component (if applicable):
3.1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dan McPherson 2016-04-14 10:34:06 EDT
There are 2 ways to do this now:

- Extend the mongodb image and update the config
- Mount in the config you want to change through a PV
Comment 2 Michal Fojtik 2016-04-15 09:53:45 EDT
This is now merged in upstream GIT, should be available as soon as the new images are pushed out.
Comment 3 Wang Haoran 2016-04-17 22:16:48 EDT
https://github.com/openshift/mongodb/pull/145  pr have revert , failed QA here.
Comment 6 Ben Parees 2016-06-12 18:23:50 EDT
Michal, what PR was this referring to that merged:
"This is now merged in upstream GIT, should be available as soon as the new images are pushed out."

PR 145 was only about text searching so that should not have been used to close this (nor the PR that ultimately re-implemented PR 145 after it was reverted).
Comment 7 Michal Fojtik 2016-06-14 05:05:05 EDT
The original request (first comment) requests only text searching, not allowing to pass any arbitrary parameters.
Comment 8 Ben Parees 2016-06-14 10:55:27 EDT
Thanks Michal, i skimmed right over that second sentence.

QA please re-verify, checking only the text searching feature (which is only a 2.4 feature, there is no configuration for it in 2.6)
Comment 9 Wang Haoran 2016-06-15 02:40:55 EDT
verified with mongodb24 image:
openshift3/mongodb-24-rhel7       latest              633ad321708b

Note You need to log in before you can comment on or make changes to this bug.